sim: mn10300: tweak static inlines
[deliverable/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/lead-dot.m4 \
200 $(top_srcdir)/../config/override.m4 \
201 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
202 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
203 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
204 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
205 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
206 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
207 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
208 $(top_srcdir)/m4/sim_ac_platform.m4 \
209 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
210 $(top_srcdir)/configure.ac
211 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
212 $(ACLOCAL_M4)
213 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
214 $(am__configure_deps) $(pkginclude_HEADERS)
215 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
216 configure.lineno config.status.lineno
217 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
218 CONFIG_HEADER = config.h
219 CONFIG_CLEAN_FILES =
220 CONFIG_CLEAN_VPATH_FILES =
221 LIBRARIES = $(noinst_LIBRARIES)
222 ARFLAGS = cru
223 AM_V_AR = $(am__v_AR_@AM_V@)
224 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
225 am__v_AR_0 = @echo " AR " $@;
226 am__v_AR_1 =
227 common_libcommon_a_AR = $(AR) $(ARFLAGS)
228 common_libcommon_a_LIBADD =
229 am__dirstamp = $(am__leading_dot)dirstamp
230 am_common_libcommon_a_OBJECTS = \
231 common/common_libcommon_a-portability.$(OBJEXT) \
232 common/common_libcommon_a-sim-load.$(OBJEXT) \
233 common/common_libcommon_a-version.$(OBJEXT)
234 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
235 igen_libigen_a_AR = $(AR) $(ARFLAGS)
236 igen_libigen_a_LIBADD =
237 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
238 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
239 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
240 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
241 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
242 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
243 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
244 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
245 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
246 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
247 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
248 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
249 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
250 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
251 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
252 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
253 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
254 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
255 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
259 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
260 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
261 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
262 testsuite/common/bits32m31$(EXEEXT) \
263 testsuite/common/bits64m0$(EXEEXT) \
264 testsuite/common/bits64m63$(EXEEXT) \
265 testsuite/common/alu-tst$(EXEEXT)
266 am_igen_filter_OBJECTS =
267 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
268 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
269 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
270 am_igen_gen_OBJECTS =
271 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
272 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
273 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
274 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
275 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
276 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
277 am_igen_ld_cache_OBJECTS =
278 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
279 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
280 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
281 am_igen_ld_decode_OBJECTS =
282 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
283 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
284 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
285 am_igen_ld_insn_OBJECTS =
286 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
287 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
288 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
289 am_igen_table_OBJECTS =
290 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
291 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
292 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
293 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
294 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
295 testsuite_common_alu_tst_LDADD = $(LDADD)
296 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
297 testsuite_common_bits_gen_OBJECTS = \
298 testsuite/common/bits-gen.$(OBJEXT)
299 testsuite_common_bits_gen_LDADD = $(LDADD)
300 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
301 testsuite_common_bits32m0_OBJECTS = \
302 testsuite/common/bits32m0.$(OBJEXT)
303 testsuite_common_bits32m0_LDADD = $(LDADD)
304 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
305 testsuite_common_bits32m31_OBJECTS = \
306 testsuite/common/bits32m31.$(OBJEXT)
307 testsuite_common_bits32m31_LDADD = $(LDADD)
308 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
309 testsuite_common_bits64m0_OBJECTS = \
310 testsuite/common/bits64m0.$(OBJEXT)
311 testsuite_common_bits64m0_LDADD = $(LDADD)
312 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
313 testsuite_common_bits64m63_OBJECTS = \
314 testsuite/common/bits64m63.$(OBJEXT)
315 testsuite_common_bits64m63_LDADD = $(LDADD)
316 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
317 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
318 testsuite_common_fpu_tst_LDADD = $(LDADD)
319 AM_V_P = $(am__v_P_@AM_V@)
320 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
321 am__v_P_0 = false
322 am__v_P_1 = :
323 AM_V_GEN = $(am__v_GEN_@AM_V@)
324 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
325 am__v_GEN_0 = @echo " GEN " $@;
326 am__v_GEN_1 =
327 AM_V_at = $(am__v_at_@AM_V@)
328 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
329 am__v_at_0 = @
330 am__v_at_1 =
331 DEFAULT_INCLUDES = -I.@am__isrc@
332 depcomp = $(SHELL) $(top_srcdir)/../depcomp
333 am__depfiles_maybe = depfiles
334 am__mv = mv -f
335 AM_V_lt = $(am__v_lt_@AM_V@)
336 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
337 am__v_lt_0 = --silent
338 am__v_lt_1 =
339 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
340 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
341 AM_V_CC = $(am__v_CC_@AM_V@)
342 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
343 am__v_CC_0 = @echo " CC " $@;
344 am__v_CC_1 =
345 CCLD = $(CC)
346 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
347 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
348 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
349 am__v_CCLD_0 = @echo " CCLD " $@;
350 am__v_CCLD_1 =
351 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
352 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
353 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
354 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
355 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
356 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
357 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
358 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
359 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
360 ctags-recursive dvi-recursive html-recursive info-recursive \
361 install-data-recursive install-dvi-recursive \
362 install-exec-recursive install-html-recursive \
363 install-info-recursive install-pdf-recursive \
364 install-ps-recursive install-recursive installcheck-recursive \
365 installdirs-recursive pdf-recursive ps-recursive \
366 tags-recursive uninstall-recursive
367 am__can_run_installinfo = \
368 case $$AM_UPDATE_INFO_DIR in \
369 n|no|NO) false;; \
370 *) (install-info --version) >/dev/null 2>&1;; \
371 esac
372 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
373 am__vpath_adj = case $$p in \
374 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
375 *) f=$$p;; \
376 esac;
377 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
378 am__install_max = 40
379 am__nobase_strip_setup = \
380 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
381 am__nobase_strip = \
382 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
383 am__nobase_list = $(am__nobase_strip_setup); \
384 for p in $$list; do echo "$$p $$p"; done | \
385 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
386 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
387 if (++n[$$2] == $(am__install_max)) \
388 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
389 END { for (dir in files) print dir, files[dir] }'
390 am__base_list = \
391 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
392 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
393 am__uninstall_files_from_dir = { \
394 test -z "$$files" \
395 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
396 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
397 $(am__cd) "$$dir" && rm -f $$files; }; \
398 }
399 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
400 HEADERS = $(pkginclude_HEADERS)
401 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
402 distclean-recursive maintainer-clean-recursive
403 am__recursive_targets = \
404 $(RECURSIVE_TARGETS) \
405 $(RECURSIVE_CLEAN_TARGETS) \
406 $(am__extra_recursive_targets)
407 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
408 cscope check recheck
409 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
410 $(LISP)config.h.in
411 # Read a list of newline-separated strings from the standard input,
412 # and print each of them once, without duplicates. Input order is
413 # *not* preserved.
414 am__uniquify_input = $(AWK) '\
415 BEGIN { nonempty = 0; } \
416 { items[$$0] = 1; nonempty = 1; } \
417 END { if (nonempty) { for (i in items) print i; }; } \
418 '
419 # Make sure the list of sources is unique. This is necessary because,
420 # e.g., the same source file might be shared among _SOURCES variables
421 # for different programs/libraries.
422 am__define_uniq_tagged_files = \
423 list='$(am__tagged_files)'; \
424 unique=`for i in $$list; do \
425 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
426 done | $(am__uniquify_input)`
427 ETAGS = etags
428 CTAGS = ctags
429 CSCOPE = cscope
430 DEJATOOL = $(PACKAGE)
431 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
432 EXPECT = expect
433 RUNTEST = runtest
434 am__tty_colors_dummy = \
435 mgn= red= grn= lgn= blu= brg= std=; \
436 am__color_tests=no
437 am__tty_colors = { \
438 $(am__tty_colors_dummy); \
439 if test "X$(AM_COLOR_TESTS)" = Xno; then \
440 am__color_tests=no; \
441 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
442 am__color_tests=yes; \
443 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
444 am__color_tests=yes; \
445 fi; \
446 if test $$am__color_tests = yes; then \
447 red='\e[0;31m'; \
448 grn='\e[0;32m'; \
449 lgn='\e[1;32m'; \
450 blu='\e[1;34m'; \
451 mgn='\e[0;35m'; \
452 brg='\e[1m'; \
453 std='\e[m'; \
454 fi; \
455 }
456 am__recheck_rx = ^[ ]*:recheck:[ ]*
457 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
458 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
459 # A command that, given a newline-separated list of test names on the
460 # standard input, print the name of the tests that are to be re-run
461 # upon "make recheck".
462 am__list_recheck_tests = $(AWK) '{ \
463 recheck = 1; \
464 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
465 { \
466 if (rc < 0) \
467 { \
468 if ((getline line2 < ($$0 ".log")) < 0) \
469 recheck = 0; \
470 break; \
471 } \
472 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
473 { \
474 recheck = 0; \
475 break; \
476 } \
477 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
478 { \
479 break; \
480 } \
481 }; \
482 if (recheck) \
483 print $$0; \
484 close ($$0 ".trs"); \
485 close ($$0 ".log"); \
486 }'
487 # A command that, given a newline-separated list of test names on the
488 # standard input, create the global log from their .trs and .log files.
489 am__create_global_log = $(AWK) ' \
490 function fatal(msg) \
491 { \
492 print "fatal: making $@: " msg | "cat >&2"; \
493 exit 1; \
494 } \
495 function rst_section(header) \
496 { \
497 print header; \
498 len = length(header); \
499 for (i = 1; i <= len; i = i + 1) \
500 printf "="; \
501 printf "\n\n"; \
502 } \
503 { \
504 copy_in_global_log = 1; \
505 global_test_result = "RUN"; \
506 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
507 { \
508 if (rc < 0) \
509 fatal("failed to read from " $$0 ".trs"); \
510 if (line ~ /$(am__global_test_result_rx)/) \
511 { \
512 sub("$(am__global_test_result_rx)", "", line); \
513 sub("[ ]*$$", "", line); \
514 global_test_result = line; \
515 } \
516 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
517 copy_in_global_log = 0; \
518 }; \
519 if (copy_in_global_log) \
520 { \
521 rst_section(global_test_result ": " $$0); \
522 while ((rc = (getline line < ($$0 ".log"))) != 0) \
523 { \
524 if (rc < 0) \
525 fatal("failed to read from " $$0 ".log"); \
526 print line; \
527 }; \
528 printf "\n"; \
529 }; \
530 close ($$0 ".trs"); \
531 close ($$0 ".log"); \
532 }'
533 # Restructured Text title.
534 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
535 # Solaris 10 'make', and several other traditional 'make' implementations,
536 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
537 # by disabling -e (using the XSI extension "set +e") if it's set.
538 am__sh_e_setup = case $$- in *e*) set +e;; esac
539 # Default flags passed to test drivers.
540 am__common_driver_flags = \
541 --color-tests "$$am__color_tests" \
542 --enable-hard-errors "$$am__enable_hard_errors" \
543 --expect-failure "$$am__expect_failure"
544 # To be inserted before the command running the test. Creates the
545 # directory for the log if needed. Stores in $dir the directory
546 # containing $f, in $tst the test, in $log the log. Executes the
547 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
548 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
549 # will run the test scripts (or their associated LOG_COMPILER, if
550 # thy have one).
551 am__check_pre = \
552 $(am__sh_e_setup); \
553 $(am__vpath_adj_setup) $(am__vpath_adj) \
554 $(am__tty_colors); \
555 srcdir=$(srcdir); export srcdir; \
556 case "$@" in \
557 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
558 *) am__odir=.;; \
559 esac; \
560 test "x$$am__odir" = x"." || test -d "$$am__odir" \
561 || $(MKDIR_P) "$$am__odir" || exit $$?; \
562 if test -f "./$$f"; then dir=./; \
563 elif test -f "$$f"; then dir=; \
564 else dir="$(srcdir)/"; fi; \
565 tst=$$dir$$f; log='$@'; \
566 if test -n '$(DISABLE_HARD_ERRORS)'; then \
567 am__enable_hard_errors=no; \
568 else \
569 am__enable_hard_errors=yes; \
570 fi; \
571 case " $(XFAIL_TESTS) " in \
572 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
573 am__expect_failure=yes;; \
574 *) \
575 am__expect_failure=no;; \
576 esac; \
577 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
578 # A shell command to get the names of the tests scripts with any registered
579 # extension removed (i.e., equivalently, the names of the test logs, with
580 # the '.log' extension removed). The result is saved in the shell variable
581 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
582 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
583 # since that might cause problem with VPATH rewrites for suffix-less tests.
584 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
585 am__set_TESTS_bases = \
586 bases='$(TEST_LOGS)'; \
587 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
588 bases=`echo $$bases`
589 RECHECK_LOGS = $(TEST_LOGS)
590 TEST_SUITE_LOG = test-suite.log
591 TEST_EXTENSIONS = @EXEEXT@ .test
592 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
593 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
594 am__set_b = \
595 case '$@' in \
596 */*) \
597 case '$*' in \
598 */*) b='$*';; \
599 *) b=`echo '$@' | sed 's/\.log$$//'`; \
600 esac;; \
601 *) \
602 b='$*';; \
603 esac
604 am__test_logs1 = $(TESTS:=.log)
605 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
606 TEST_LOGS = $(am__test_logs2:.test.log=.log)
607 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
608 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
609 $(TEST_LOG_FLAGS)
610 DIST_SUBDIRS = $(SUBDIRS)
611 ACLOCAL = @ACLOCAL@
612 AMTAR = @AMTAR@
613 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
614 AR = @AR@
615 AR_FOR_BUILD = @AR_FOR_BUILD@
616 AUTOCONF = @AUTOCONF@
617 AUTOHEADER = @AUTOHEADER@
618 AUTOMAKE = @AUTOMAKE@
619 AWK = @AWK@
620 CC = @CC@
621 CCDEPMODE = @CCDEPMODE@
622 CC_FOR_BUILD = @CC_FOR_BUILD@
623 CFLAGS = @CFLAGS@
624 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
625 CPP = @CPP@
626 CPPFLAGS = @CPPFLAGS@
627 CYGPATH_W = @CYGPATH_W@
628 C_DIALECT = @C_DIALECT@
629 DEFS = @DEFS@
630 DEPDIR = @DEPDIR@
631 ECHO_C = @ECHO_C@
632 ECHO_N = @ECHO_N@
633 ECHO_T = @ECHO_T@
634 EGREP = @EGREP@
635 EXEEXT = @EXEEXT@
636 GREP = @GREP@
637 INSTALL = @INSTALL@
638 INSTALL_DATA = @INSTALL_DATA@
639 INSTALL_PROGRAM = @INSTALL_PROGRAM@
640 INSTALL_SCRIPT = @INSTALL_SCRIPT@
641 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
642 LDFLAGS = @LDFLAGS@
643 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
644 LIBOBJS = @LIBOBJS@
645 LIBS = @LIBS@
646 LTLIBOBJS = @LTLIBOBJS@
647 MAINT = @MAINT@
648 MAKEINFO = @MAKEINFO@
649 MKDIR_P = @MKDIR_P@
650 OBJEXT = @OBJEXT@
651 PACKAGE = @PACKAGE@
652 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
653 PACKAGE_NAME = @PACKAGE_NAME@
654 PACKAGE_STRING = @PACKAGE_STRING@
655 PACKAGE_TARNAME = @PACKAGE_TARNAME@
656 PACKAGE_URL = @PACKAGE_URL@
657 PACKAGE_VERSION = @PACKAGE_VERSION@
658 PATH_SEPARATOR = @PATH_SEPARATOR@
659 PKGVERSION = @PKGVERSION@
660 RANLIB = @RANLIB@
661 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
662 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
663 REPORT_BUGS_TO = @REPORT_BUGS_TO@
664 SET_MAKE = @SET_MAKE@
665 SHELL = @SHELL@
666 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
667 STRIP = @STRIP@
668 VERSION = @VERSION@
669 abs_builddir = @abs_builddir@
670 abs_srcdir = @abs_srcdir@
671 abs_top_builddir = @abs_top_builddir@
672 abs_top_srcdir = @abs_top_srcdir@
673 ac_ct_CC = @ac_ct_CC@
674 am__include = @am__include@
675 am__leading_dot = @am__leading_dot@
676 am__quote = @am__quote@
677 am__tar = @am__tar@
678 am__untar = @am__untar@
679 bindir = @bindir@
680 build = @build@
681 build_alias = @build_alias@
682 build_cpu = @build_cpu@
683 build_os = @build_os@
684 build_vendor = @build_vendor@
685 builddir = @builddir@
686 datadir = @datadir@
687 datarootdir = @datarootdir@
688 docdir = @docdir@
689 dvidir = @dvidir@
690 exec_prefix = @exec_prefix@
691 host = @host@
692 host_alias = @host_alias@
693 host_cpu = @host_cpu@
694 host_os = @host_os@
695 host_vendor = @host_vendor@
696 htmldir = @htmldir@
697 includedir = @includedir@
698 infodir = @infodir@
699 install_sh = @install_sh@
700 libdir = @libdir@
701 libexecdir = @libexecdir@
702 localedir = @localedir@
703 localstatedir = @localstatedir@
704 mandir = @mandir@
705 mkdir_p = @mkdir_p@
706 oldincludedir = @oldincludedir@
707 pdfdir = @pdfdir@
708 prefix = @prefix@
709 program_transform_name = @program_transform_name@
710 psdir = @psdir@
711 sbindir = @sbindir@
712 sharedstatedir = @sharedstatedir@
713 srcdir = @srcdir@
714 subdirs = @subdirs@
715 sysconfdir = @sysconfdir@
716 target = @target@
717 target_alias = @target_alias@
718 target_cpu = @target_cpu@
719 target_os = @target_os@
720 target_vendor = @target_vendor@
721 top_build_prefix = @top_build_prefix@
722 top_builddir = @top_builddir@
723 top_srcdir = @top_srcdir@
724 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
725 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
726 srcroot = $(srcdir)/..
727 SUBDIRS = @subdirs@
728 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
729
730 # NB: libcommon.a isn't used directly by ports. We need a target for common
731 # objects to be a part of, and ports use the individual objects directly.
732 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
733 CLEANFILES = common/version.c common/version.c-stamp \
734 testsuite/common/bits-gen testsuite/common/bits32m0.c \
735 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
736 testsuite/common/bits64m63.c
737 DISTCLEANFILES =
738 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
739 testrun.sum
740 AM_CPPFLAGS = -I$(srcroot)/include -I$(srcdir)/common
741 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
742 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
743
744 # Deps to add to the all-recursive target. These are built before descending
745 # into any subdirs.
746
747 # This makes sure common parts are available before building the arch-subdirs
748 # which will refer to these.
749 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
750 pkginclude_HEADERS = \
751 $(srcroot)/include/sim/callback.h \
752 $(srcroot)/include/sim/sim.h
753
754 common_libcommon_a_CPPFLAGS = \
755 $(AM_CPPFLAGS) \
756 -DSIM_COMMON_BUILD \
757 -I../bfd \
758 -I..
759
760 common_libcommon_a_SOURCES = \
761 common/portability.c \
762 common/sim-load.c \
763 common/version.c
764
765 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
766 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
767 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
768 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
769 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
770 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
771 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
772 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
773 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
774 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
775 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
776 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
777 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
778 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
779 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
780 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
781 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
782
783 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
784 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
785 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
786 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
787 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
788 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
789 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
790 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
791 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
792 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
793 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
794 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
795 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
796 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
797 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
798 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
799 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
800 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
801 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
802 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
803 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
804 @SIM_ENABLE_IGEN_TRUE@ igen/table
805
806
807 # Tweak the site.exp so it works with plain `runtest` from user.
808 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
809 testsuite_common_CPPFLAGS = \
810 -I$(srcdir)/common \
811 -I$(srcroot)/include \
812 -I../bfd
813
814 all: config.h
815 $(MAKE) $(AM_MAKEFLAGS) all-recursive
816
817 .SUFFIXES:
818 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
819 am--refresh: Makefile
820 @:
821 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
822 @for dep in $?; do \
823 case '$(am__configure_deps)' in \
824 *$$dep*) \
825 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
826 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
827 && exit 0; \
828 exit 1;; \
829 esac; \
830 done; \
831 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
832 $(am__cd) $(top_srcdir) && \
833 $(AUTOMAKE) --foreign Makefile
834 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
835 @case '$?' in \
836 *config.status*) \
837 echo ' $(SHELL) ./config.status'; \
838 $(SHELL) ./config.status;; \
839 *) \
840 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
841 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
842 esac;
843 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
844
845 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
846 $(SHELL) ./config.status --recheck
847
848 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
849 $(am__cd) $(srcdir) && $(AUTOCONF)
850 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
851 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
852 $(am__aclocal_m4_deps):
853
854 config.h: stamp-h1
855 @test -f $@ || rm -f stamp-h1
856 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
857
858 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
859 @rm -f stamp-h1
860 cd $(top_builddir) && $(SHELL) ./config.status config.h
861 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
862 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
863 rm -f stamp-h1
864 touch $@
865
866 distclean-hdr:
867 -rm -f config.h stamp-h1
868
869 clean-noinstLIBRARIES:
870 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
871 common/$(am__dirstamp):
872 @$(MKDIR_P) common
873 @: > common/$(am__dirstamp)
874 common/$(DEPDIR)/$(am__dirstamp):
875 @$(MKDIR_P) common/$(DEPDIR)
876 @: > common/$(DEPDIR)/$(am__dirstamp)
877 common/common_libcommon_a-portability.$(OBJEXT): \
878 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
879 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
880 common/$(DEPDIR)/$(am__dirstamp)
881 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
882 common/$(DEPDIR)/$(am__dirstamp)
883
884 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
885 $(AM_V_at)-rm -f common/libcommon.a
886 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
887 $(AM_V_at)$(RANLIB) common/libcommon.a
888 igen/$(am__dirstamp):
889 @$(MKDIR_P) igen
890 @: > igen/$(am__dirstamp)
891 igen/$(DEPDIR)/$(am__dirstamp):
892 @$(MKDIR_P) igen/$(DEPDIR)
893 @: > igen/$(DEPDIR)/$(am__dirstamp)
894 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
895 igen/$(DEPDIR)/$(am__dirstamp)
896 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
897 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
898 igen/$(DEPDIR)/$(am__dirstamp)
899 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
900 igen/$(DEPDIR)/$(am__dirstamp)
901 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
902 igen/$(DEPDIR)/$(am__dirstamp)
903 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
904 igen/$(DEPDIR)/$(am__dirstamp)
905 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
906 igen/$(DEPDIR)/$(am__dirstamp)
907 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
908 igen/$(DEPDIR)/$(am__dirstamp)
909 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
910 igen/$(DEPDIR)/$(am__dirstamp)
911 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
912 igen/$(DEPDIR)/$(am__dirstamp)
913 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
914 igen/$(DEPDIR)/$(am__dirstamp)
915 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
916 igen/$(DEPDIR)/$(am__dirstamp)
917 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
918 igen/$(DEPDIR)/$(am__dirstamp)
919 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
920 igen/$(DEPDIR)/$(am__dirstamp)
921 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
922 igen/$(DEPDIR)/$(am__dirstamp)
923 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
924 igen/$(DEPDIR)/$(am__dirstamp)
925
926 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
927 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
928 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
929 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
930
931 clean-checkPROGRAMS:
932 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
933
934 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
935 @rm -f igen/filter$(EXEEXT)
936 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
937
938 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
939 @rm -f igen/gen$(EXEEXT)
940 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
941 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
942 igen/$(DEPDIR)/$(am__dirstamp)
943
944 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
945 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
946 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
947
948 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
949 @rm -f igen/ld-cache$(EXEEXT)
950 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
951
952 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
953 @rm -f igen/ld-decode$(EXEEXT)
954 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
955
956 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
957 @rm -f igen/ld-insn$(EXEEXT)
958 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
959
960 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
961 @rm -f igen/table$(EXEEXT)
962 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
963 testsuite/common/$(am__dirstamp):
964 @$(MKDIR_P) testsuite/common
965 @: > testsuite/common/$(am__dirstamp)
966 testsuite/common/$(DEPDIR)/$(am__dirstamp):
967 @$(MKDIR_P) testsuite/common/$(DEPDIR)
968 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
969 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
970 testsuite/common/$(DEPDIR)/$(am__dirstamp)
971 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
972 testsuite/common/$(DEPDIR)/$(am__dirstamp)
973 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
974 testsuite/common/$(DEPDIR)/$(am__dirstamp)
975 testsuite/common/bits32m31.$(OBJEXT): \
976 testsuite/common/$(am__dirstamp) \
977 testsuite/common/$(DEPDIR)/$(am__dirstamp)
978 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
979 testsuite/common/$(DEPDIR)/$(am__dirstamp)
980 testsuite/common/bits64m63.$(OBJEXT): \
981 testsuite/common/$(am__dirstamp) \
982 testsuite/common/$(DEPDIR)/$(am__dirstamp)
983 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
984 testsuite/common/$(DEPDIR)/$(am__dirstamp)
985
986 mostlyclean-compile:
987 -rm -f *.$(OBJEXT)
988 -rm -f common/*.$(OBJEXT)
989 -rm -f igen/*.$(OBJEXT)
990 -rm -f testsuite/common/*.$(OBJEXT)
991
992 distclean-compile:
993 -rm -f *.tab.c
994
995 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
999 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1000 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1001 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1002 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1003 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1004 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1005 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1006 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1007 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1008 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1009 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1010 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1011 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1012 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1013 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1014 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1015 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1016 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1017 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1018 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1019 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1020 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1021 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1022
1023 .c.o:
1024 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1025 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1026 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1030
1031 .c.obj:
1032 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1033 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1034 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1036 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1037 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1038
1039 common/common_libcommon_a-portability.o: common/portability.c
1040 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1041 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1043 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1044 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1045
1046 common/common_libcommon_a-portability.obj: common/portability.c
1047 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1048 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1049 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1050 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1051 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1052
1053 common/common_libcommon_a-sim-load.o: common/sim-load.c
1054 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1055 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1056 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1057 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1058 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1059
1060 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1061 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1062 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1063 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1064 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1065 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1066
1067 common/common_libcommon_a-version.o: common/version.c
1068 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1069 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1070 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1071 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1072 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1073
1074 common/common_libcommon_a-version.obj: common/version.c
1075 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1076 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1077 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1078 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1079 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1080 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1081 @$(NORMAL_INSTALL)
1082 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1083 if test -n "$$list"; then \
1084 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1085 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1086 fi; \
1087 for p in $$list; do \
1088 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1089 echo "$$d$$p"; \
1090 done | $(am__base_list) | \
1091 while read files; do \
1092 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1093 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1094 done
1095
1096 uninstall-pkgincludeHEADERS:
1097 @$(NORMAL_UNINSTALL)
1098 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1099 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1100 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1101
1102 # This directory's subdirectories are mostly independent; you can cd
1103 # into them and run 'make' without going through this Makefile.
1104 # To change the values of 'make' variables: instead of editing Makefiles,
1105 # (1) if the variable is set in 'config.status', edit 'config.status'
1106 # (which will cause the Makefiles to be regenerated when you run 'make');
1107 # (2) otherwise, pass the desired values on the 'make' command line.
1108 $(am__recursive_targets):
1109 @fail=; \
1110 if $(am__make_keepgoing); then \
1111 failcom='fail=yes'; \
1112 else \
1113 failcom='exit 1'; \
1114 fi; \
1115 dot_seen=no; \
1116 target=`echo $@ | sed s/-recursive//`; \
1117 case "$@" in \
1118 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1119 *) list='$(SUBDIRS)' ;; \
1120 esac; \
1121 for subdir in $$list; do \
1122 echo "Making $$target in $$subdir"; \
1123 if test "$$subdir" = "."; then \
1124 dot_seen=yes; \
1125 local_target="$$target-am"; \
1126 else \
1127 local_target="$$target"; \
1128 fi; \
1129 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1130 || eval $$failcom; \
1131 done; \
1132 if test "$$dot_seen" = "no"; then \
1133 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1134 fi; test -z "$$fail"
1135
1136 ID: $(am__tagged_files)
1137 $(am__define_uniq_tagged_files); mkid -fID $$unique
1138 tags: tags-recursive
1139 TAGS: tags
1140
1141 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1142 set x; \
1143 here=`pwd`; \
1144 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1145 include_option=--etags-include; \
1146 empty_fix=.; \
1147 else \
1148 include_option=--include; \
1149 empty_fix=; \
1150 fi; \
1151 list='$(SUBDIRS)'; for subdir in $$list; do \
1152 if test "$$subdir" = .; then :; else \
1153 test ! -f $$subdir/TAGS || \
1154 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1155 fi; \
1156 done; \
1157 $(am__define_uniq_tagged_files); \
1158 shift; \
1159 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1160 test -n "$$unique" || unique=$$empty_fix; \
1161 if test $$# -gt 0; then \
1162 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1163 "$$@" $$unique; \
1164 else \
1165 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1166 $$unique; \
1167 fi; \
1168 fi
1169 ctags: ctags-recursive
1170
1171 CTAGS: ctags
1172 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1173 $(am__define_uniq_tagged_files); \
1174 test -z "$(CTAGS_ARGS)$$unique" \
1175 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1176 $$unique
1177
1178 GTAGS:
1179 here=`$(am__cd) $(top_builddir) && pwd` \
1180 && $(am__cd) $(top_srcdir) \
1181 && gtags -i $(GTAGS_ARGS) "$$here"
1182 cscope: cscope.files
1183 test ! -s cscope.files \
1184 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1185 clean-cscope:
1186 -rm -f cscope.files
1187 cscope.files: clean-cscope cscopelist
1188 cscopelist: cscopelist-recursive
1189
1190 cscopelist-am: $(am__tagged_files)
1191 list='$(am__tagged_files)'; \
1192 case "$(srcdir)" in \
1193 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1194 *) sdir=$(subdir)/$(srcdir) ;; \
1195 esac; \
1196 for i in $$list; do \
1197 if test -f "$$i"; then \
1198 echo "$(subdir)/$$i"; \
1199 else \
1200 echo "$$sdir/$$i"; \
1201 fi; \
1202 done >> $(top_builddir)/cscope.files
1203
1204 distclean-tags:
1205 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1206 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1207 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1208 @echo 'Making a new site.exp file ...'
1209 @echo '## these variables are automatically generated by make ##' >site.tmp
1210 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1211 @echo '# edit the last section' >>site.tmp
1212 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1213 @echo "set objdir `pwd`" >>site.tmp
1214 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1215 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1216 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1217 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1218 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1219 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1220 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1221 echo "## Begin content included from file $$f. Do not modify. ##" \
1222 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1223 && echo "## End content included from file $$f. ##" \
1224 || exit 1; \
1225 done >> site.tmp
1226 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1227 @if test -f site.exp; then \
1228 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1229 fi
1230 @-rm -f site.bak
1231 @test ! -f site.exp || mv site.exp site.bak
1232 @mv site.tmp site.exp
1233
1234 distclean-DEJAGNU:
1235 -rm -f site.exp site.bak
1236 -l='$(DEJATOOL)'; for tool in $$l; do \
1237 rm -f $$tool.sum $$tool.log; \
1238 done
1239
1240 # Recover from deleted '.trs' file; this should ensure that
1241 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1242 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1243 # to avoid problems with "make -n".
1244 .log.trs:
1245 rm -f $< $@
1246 $(MAKE) $(AM_MAKEFLAGS) $<
1247
1248 # Leading 'am--fnord' is there to ensure the list of targets does not
1249 # expand to empty, as could happen e.g. with make check TESTS=''.
1250 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1251 am--force-recheck:
1252 @:
1253
1254 $(TEST_SUITE_LOG): $(TEST_LOGS)
1255 @$(am__set_TESTS_bases); \
1256 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1257 redo_bases=`for i in $$bases; do \
1258 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1259 done`; \
1260 if test -n "$$redo_bases"; then \
1261 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1262 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1263 if $(am__make_dryrun); then :; else \
1264 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1265 fi; \
1266 fi; \
1267 if test -n "$$am__remaking_logs"; then \
1268 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1269 "recursion detected" >&2; \
1270 elif test -n "$$redo_logs"; then \
1271 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1272 fi; \
1273 if $(am__make_dryrun); then :; else \
1274 st=0; \
1275 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1276 for i in $$redo_bases; do \
1277 test -f $$i.trs && test -r $$i.trs \
1278 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1279 test -f $$i.log && test -r $$i.log \
1280 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1281 done; \
1282 test $$st -eq 0 || exit 1; \
1283 fi
1284 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1285 ws='[ ]'; \
1286 results=`for b in $$bases; do echo $$b.trs; done`; \
1287 test -n "$$results" || results=/dev/null; \
1288 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1289 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1290 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1291 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1292 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1293 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1294 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1295 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1296 success=true; \
1297 else \
1298 success=false; \
1299 fi; \
1300 br='==================='; br=$$br$$br$$br$$br; \
1301 result_count () \
1302 { \
1303 if test x"$$1" = x"--maybe-color"; then \
1304 maybe_colorize=yes; \
1305 elif test x"$$1" = x"--no-color"; then \
1306 maybe_colorize=no; \
1307 else \
1308 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1309 fi; \
1310 shift; \
1311 desc=$$1 count=$$2; \
1312 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1313 color_start=$$3 color_end=$$std; \
1314 else \
1315 color_start= color_end=; \
1316 fi; \
1317 echo "$${color_start}# $$desc $$count$${color_end}"; \
1318 }; \
1319 create_testsuite_report () \
1320 { \
1321 result_count $$1 "TOTAL:" $$all "$$brg"; \
1322 result_count $$1 "PASS: " $$pass "$$grn"; \
1323 result_count $$1 "SKIP: " $$skip "$$blu"; \
1324 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1325 result_count $$1 "FAIL: " $$fail "$$red"; \
1326 result_count $$1 "XPASS:" $$xpass "$$red"; \
1327 result_count $$1 "ERROR:" $$error "$$mgn"; \
1328 }; \
1329 { \
1330 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1331 $(am__rst_title); \
1332 create_testsuite_report --no-color; \
1333 echo; \
1334 echo ".. contents:: :depth: 2"; \
1335 echo; \
1336 for b in $$bases; do echo $$b; done \
1337 | $(am__create_global_log); \
1338 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1339 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1340 if $$success; then \
1341 col="$$grn"; \
1342 else \
1343 col="$$red"; \
1344 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1345 fi; \
1346 echo "$${col}$$br$${std}"; \
1347 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1348 echo "$${col}$$br$${std}"; \
1349 create_testsuite_report --maybe-color; \
1350 echo "$$col$$br$$std"; \
1351 if $$success; then :; else \
1352 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1353 if test -n "$(PACKAGE_BUGREPORT)"; then \
1354 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1355 fi; \
1356 echo "$$col$$br$$std"; \
1357 fi; \
1358 $$success || exit 1
1359
1360 check-TESTS:
1361 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1362 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1363 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1364 @set +e; $(am__set_TESTS_bases); \
1365 log_list=`for i in $$bases; do echo $$i.log; done`; \
1366 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1367 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1368 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1369 exit $$?;
1370 recheck: all $(check_PROGRAMS)
1371 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1372 @set +e; $(am__set_TESTS_bases); \
1373 bases=`for i in $$bases; do echo $$i; done \
1374 | $(am__list_recheck_tests)` || exit 1; \
1375 log_list=`for i in $$bases; do echo $$i.log; done`; \
1376 log_list=`echo $$log_list`; \
1377 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1378 am__force_recheck=am--force-recheck \
1379 TEST_LOGS="$$log_list"; \
1380 exit $$?
1381 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1382 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1383 b='testsuite/common/bits32m0'; \
1384 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1385 --log-file $$b.log --trs-file $$b.trs \
1386 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1387 "$$tst" $(AM_TESTS_FD_REDIRECT)
1388 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1389 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1390 b='testsuite/common/bits32m31'; \
1391 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1392 --log-file $$b.log --trs-file $$b.trs \
1393 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1394 "$$tst" $(AM_TESTS_FD_REDIRECT)
1395 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1396 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1397 b='testsuite/common/bits64m0'; \
1398 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1399 --log-file $$b.log --trs-file $$b.trs \
1400 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1401 "$$tst" $(AM_TESTS_FD_REDIRECT)
1402 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1403 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1404 b='testsuite/common/bits64m63'; \
1405 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1406 --log-file $$b.log --trs-file $$b.trs \
1407 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1408 "$$tst" $(AM_TESTS_FD_REDIRECT)
1409 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1410 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1411 b='testsuite/common/alu-tst'; \
1412 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1413 --log-file $$b.log --trs-file $$b.trs \
1414 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1415 "$$tst" $(AM_TESTS_FD_REDIRECT)
1416 .test.log:
1417 @p='$<'; \
1418 $(am__set_b); \
1419 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1420 --log-file $$b.log --trs-file $$b.trs \
1421 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1422 "$$tst" $(AM_TESTS_FD_REDIRECT)
1423 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1424 @am__EXEEXT_TRUE@ @p='$<'; \
1425 @am__EXEEXT_TRUE@ $(am__set_b); \
1426 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1427 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1428 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1429 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1430 check-am: all-am
1431 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1432 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1433 check: check-recursive
1434 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1435 installdirs: installdirs-recursive
1436 installdirs-am:
1437 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1438 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1439 done
1440 install: install-recursive
1441 install-exec: install-exec-recursive
1442 install-data: install-data-recursive
1443 uninstall: uninstall-recursive
1444
1445 install-am: all-am
1446 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1447
1448 installcheck: installcheck-recursive
1449 install-strip:
1450 if test -z '$(STRIP)'; then \
1451 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1452 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1453 install; \
1454 else \
1455 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1456 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1457 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1458 fi
1459 mostlyclean-generic:
1460 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1461 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1462 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1463 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1464
1465 clean-generic:
1466 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1467
1468 distclean-generic:
1469 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1470 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1471 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1472 -rm -f common/$(am__dirstamp)
1473 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1474 -rm -f igen/$(am__dirstamp)
1475 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1476 -rm -f testsuite/common/$(am__dirstamp)
1477 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1478
1479 maintainer-clean-generic:
1480 @echo "This command is intended for maintainers to use"
1481 @echo "it deletes files that may require special tools to rebuild."
1482 clean: clean-recursive
1483
1484 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
1485 mostlyclean-am
1486
1487 distclean: distclean-recursive
1488 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1489 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1490 -rm -f Makefile
1491 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1492 distclean-generic distclean-hdr distclean-tags
1493
1494 dvi: dvi-recursive
1495
1496 dvi-am:
1497
1498 html: html-recursive
1499
1500 html-am:
1501
1502 info: info-recursive
1503
1504 info-am:
1505
1506 install-data-am: install-pkgincludeHEADERS
1507
1508 install-dvi: install-dvi-recursive
1509
1510 install-dvi-am:
1511
1512 install-exec-am:
1513
1514 install-html: install-html-recursive
1515
1516 install-html-am:
1517
1518 install-info: install-info-recursive
1519
1520 install-info-am:
1521
1522 install-man:
1523
1524 install-pdf: install-pdf-recursive
1525
1526 install-pdf-am:
1527
1528 install-ps: install-ps-recursive
1529
1530 install-ps-am:
1531
1532 installcheck-am:
1533
1534 maintainer-clean: maintainer-clean-recursive
1535 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1536 -rm -rf $(top_srcdir)/autom4te.cache
1537 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1538 -rm -f Makefile
1539 maintainer-clean-am: distclean-am maintainer-clean-generic
1540
1541 mostlyclean: mostlyclean-recursive
1542
1543 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1544
1545 pdf: pdf-recursive
1546
1547 pdf-am:
1548
1549 ps: ps-recursive
1550
1551 ps-am:
1552
1553 uninstall-am: uninstall-pkgincludeHEADERS
1554
1555 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1556
1557 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1558 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1559 clean-checkPROGRAMS clean-cscope clean-generic \
1560 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1561 distclean distclean-DEJAGNU distclean-compile \
1562 distclean-generic distclean-hdr distclean-tags dvi dvi-am html \
1563 html-am info info-am install install-am install-data \
1564 install-data-am install-dvi install-dvi-am install-exec \
1565 install-exec-am install-html install-html-am install-info \
1566 install-info-am install-man install-pdf install-pdf-am \
1567 install-pkgincludeHEADERS install-ps install-ps-am \
1568 install-strip installcheck installcheck-am installdirs \
1569 installdirs-am maintainer-clean maintainer-clean-generic \
1570 mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
1571 ps ps-am recheck tags tags-am uninstall uninstall-am \
1572 uninstall-pkgincludeHEADERS
1573
1574 .PRECIOUS: Makefile
1575
1576
1577 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1578 # This file is shipped with distributions so we build in the source dir.
1579 # Use `make nltvals' to rebuild.
1580 # Note: If gdb releases begin to contain target header files (not a good idea,
1581 # but if they did ...), nltvals.def coud be generated at build time.
1582 # An alternative is to slurp in the tables at runtime.
1583 .PHONY: nltvals
1584 nltvals:
1585 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1586 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1587
1588 common/version.c: common/version.c-stamp ; @true
1589 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1590 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1591 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1592 $(AM_V_at)touch $@
1593
1594 # Alias for developers.
1595 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1596
1597 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1598 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1599 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1600 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1601 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1602
1603 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1604 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1605
1606 # igen is a build-time only tool. Override the default rules for it.
1607 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1608 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1609
1610 # Build some of the files in standalone mode for developers of igen itself.
1611 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1612 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1613
1614 site-srcdir.exp: Makefile
1615 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1616
1617 check-DEJAGNU: site.exp
1618 LC_ALL=C; export LC_ALL; \
1619 EXPECT=${EXPECT} ; export EXPECT ; \
1620 runtest=$(RUNTEST); \
1621 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1622 $$runtest $(RUNTESTFLAGS); \
1623 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1624 fi
1625
1626 # These tests are build-time only tools. Override the default rules for them.
1627 testsuite/common/%.o: testsuite/common/%.c
1628 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1629
1630 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1631 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1632
1633 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1634 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1635
1636 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1637 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1638
1639 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1640 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1641
1642 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1643 $(AM_V_GEN)$< 32 0 big > $@.tmp
1644 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1645 $(AM_V_at)mv $@.tmp $@
1646
1647 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1648 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1649
1650 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1651 $(AM_V_GEN)$< 32 31 little > $@.tmp
1652 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1653 $(AM_V_at)mv $@.tmp $@
1654
1655 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1656 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1657
1658 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1659 $(AM_V_GEN)$< 64 0 big > $@.tmp
1660 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1661 $(AM_V_at)mv $@.tmp $@
1662
1663 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1664 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1665
1666 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1667 $(AM_V_GEN)$< 64 63 little > $@.tmp
1668 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1669 $(AM_V_at)mv $@.tmp $@
1670
1671 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1672
1673 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1674 # Otherwise a system limit (for SysV at least) may be exceeded.
1675 .NOEXPORT:
This page took 0.063094 seconds and 4 git commands to generate.